Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.xmpp
Class XmppMessageAdapter

    java.lang.Object
      org.mule.transport.AbstractMessageAdapter
          org.mule.transport.xmpp.XmppMessageAdapter

All Implemented Interfaces:
  Serializable, ThreadSafeAccess, MessageAdapter, MessageAdapterSerialization

    public class XmppMessageAdapter

extends AbstractMessageAdapter
implements MessageAdapterSerialization

`XmppMessageAdapter` wraps a Smack XMPP packet

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.mule.transport.MessageAdapterSerialization
`MessageAdapterSerialization.Type`

Nested classes/interfaces inherited from interface org.mule.api.ThreadSafeAccess
`ThreadSafeAccess.AccessControl`

Field Summary
`static String` | `DEFAULT_SUBJECT`
`static String` | `DEFAULT_THREAD`

Fields inherited from class org.mule.transport.AbstractMessageAdapter
`attachments, exceptionPayload, id, logger, properties`

Fields inherited from interface org.mule.api.ThreadSafeAccess
`READ, WRITE`

Constructor Summary
`` | `XmppMessageAdapter(Object message)`
`protected` | `XmppMessageAdapter(XmppMessageAdapter template)`

Method Summary
`Object` | `getPayload()`
`byte[]` | `getPayloadAsBytes()`
`String` | `getPayloadAsString(String encoding)` Converts the message implementation into a String representation
`byte[]` | `getPayloadForSerialization()`
`String` | `getUniqueId()` gets the unique identifier for the message.
`ThreadSafeAccess` | `newThreadCopy()`

Methods inherited from class org.mule.transport.AbstractMessageAdapter
`addAttachment, addInboundProperties, addProperties, addProperties, assertAccess, clearProperties, getAttachment, getAttachmentNames, getBooleanProperty, getCorrelationGroupSize, getCorrelationId, getCorrelationSequence, getDoubleProperty, getEncoding, getExceptionPayload, getIntProperty, getLongProperty, getProperty, getProperty, getProperty, getPropertyNames, getPropertyNames, getReplyTo, getStringProperty, isDisabled, newException, release, removeAttachment, removeProperty, resetAccessControl, setBooleanProperty, setCorrelationGroupSize, setCorrelationId, setCorrelationSequence, setDoubleProperty, setEncoding, setExceptionPayload, setIntProperty, setLongProperty, setProperty, setProperty, setReplyTo, setStringProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_SUBJECT

    public static final String DEFAULT_SUBJECT

See Also:
  Constant Field Values

### DEFAULT_THREAD

    public static final String DEFAULT_THREAD

See Also:
  Constant Field Values

Constructor Detail

### XmppMessageAdapter

    public XmppMessageAdapter(Object message)
                       throws MuleException

Throws:
  `MuleException`

### XmppMessageAdapter

    protected XmppMessageAdapter(XmppMessageAdapter template)

Method Detail

### getPayloadAsString

    public String getPayloadAsString(String encoding)
                              throws Exception

  Converts the message implementation into a String representation

  Parameters:
    `encoding` - The encoding to use when transforming the message (if necessary). The parameter is used when converting from a byte array
  Returns:
    String representation of the message payload
  Throws:
    `Exception` - Implementation may throw an endpoint specific exception

### getPayloadAsBytes

    public byte[] getPayloadAsBytes()
                             throws Exception

  Throws:
    `Exception`

### getPayload

    public Object getPayload()

  Specified by:
    `getPayload` in interface `MessageAdapter`
  Returns:
    the current message

### getUniqueId

    public String getUniqueId()

  Description copied from class: `AbstractMessageAdapter`
  gets the unique identifier for the message. It's up to the implementation to ensure a unique id

  Specified by:
    `getUniqueId` in interface `MessageAdapter`
  Overrides:
    `getUniqueId` in class `AbstractMessageAdapter`
  Returns:
    a unique message id. The Id should never be null. If the underlying transport does not have the notion of a message Id, one shuold be generated. The generated Id should be a UUID.

### newThreadCopy

    public ThreadSafeAccess newThreadCopy()

  Description copied from class: `AbstractMessageAdapter`

  Specified by:
    `newThreadCopy` in interface `ThreadSafeAccess`
  Overrides:
    `newThreadCopy` in class `AbstractMessageAdapter`
  Returns:
    A new instance of the implementing class, unbound to any thread and mutable.

### getPayloadForSerialization

    public byte[] getPayloadForSerialization()
                                      throws Exception

  Specified by:
    `getPayloadForSerialization` in interface `MessageAdapterSerialization`
  Returns:
    The payload of this MessageAdapter as bytes.
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.